summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/.aglsetup_genconfig.bash19
-rw-r--r--scripts/README-mkefi-agl.md18
-rwxr-xr-xscripts/ci-yocto-check-layer.sh22
-rw-r--r--scripts/envsetup.sh2
4 files changed, 34 insertions, 27 deletions
diff --git a/scripts/.aglsetup_genconfig.bash b/scripts/.aglsetup_genconfig.bash
index 323479c3c..3d380e69d 100755
--- a/scripts/.aglsetup_genconfig.bash
+++ b/scripts/.aglsetup_genconfig.bash
@@ -223,15 +223,15 @@ function append_fragment() {
echo >>$basefile
echo "# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #" >>$basefile
echo "# fragment { " >>$basefile
- [[ -f $f ]] && echo "# $f" >>$basefile || true
+ [[ -n $f ]] && echo "# $f" >>$basefile || true
echo "#" >>$basefile
[[ -n "$label" ]] && echo "$label" >>$basefile
- [[ -f $f ]] && cat $f >>$basefile || true
+ [[ -n $f ]] && cat $f >>$basefile || true
echo "" >>$basefile
echo "#" >>$basefile
echo "# }" >>$basefile
echo "# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #" >>$basefile
- [[ -f $f ]] && echo $f >>$BUILDDIR/conf/fragments.log || true
+ [[ -n $f ]] && echo $f >>$BUILDDIR/conf/fragments.log || true
}
function execute_setup() {
@@ -407,7 +407,7 @@ function genconfig() {
info " Features: $FEATURES"
# step 1: run usual OE setup to generate conf dir
- export TEMPLATECONF=$(cd $SCRIPTDIR/../templates/base && pwd -P)
+ export TEMPLATECONF=$(cd $SCRIPTDIR/../meta-agl-core/conf/templates/base && pwd -P)
debug "running oe-init-build-env with TEMPLATECONF=$TEMPLATECONF"
info " Running $METADIR/external/poky/oe-init-build-env"
info " Templates dir: $TEMPLATECONF"
@@ -417,7 +417,8 @@ function genconfig() {
cd $CURDIR
# step 2: concatenate other remaining fragments coming from base
- process_fragments $TEMPLATECONF
+ FRAGMENTS=$(cd $SCRIPTDIR/../templates/base && pwd -P)
+ process_fragments $FRAGMENTS
# step 3: fragments for machine
process_fragments $(find_machine_dir $MACHINE)
@@ -496,6 +497,7 @@ EOF
[[ $FORCE -eq 1 ]] && rm -f \
$BUILDDIR/conf/local.conf \
$BUILDDIR/conf/bblayers.conf \
+ $BUILDDIR/conf/templateconf.cfg \
$BUILDDIR/conf/setup.* \
$BUILDDIR/conf/*.log
@@ -556,14 +558,15 @@ info "OK"
infon "Generating setup file: $BUILDDIR/agl-init-build-env ... "
cat <<EOF >$BUILDDIR/agl-init-build-env
+export TEMPLATECONF=${METADIR}/meta-agl/meta-agl-core/conf/templates/base
. $METADIR/external/poky/oe-init-build-env $BUILDDIR
if [ -n "\$DL_DIR" ]; then
- BB_ENV_EXTRAWHITE="\$BB_ENV_EXTRAWHITE DL_DIR"
+ BB_ENV_PASSTHROUGH_ADDITIONS="\$BB_ENV_PASSTHROUGH_ADDITIONS DL_DIR"
fi
if [ -n "\$SSTATE_DIR" ]; then
- BB_ENV_EXTRAWHITE="\$BB_ENV_EXTRAWHITE SSTATE_DIR"
+ BB_ENV_PASSTHROUGH_ADDITIONS="\$BB_ENV_PASSTHROUGH_ADDITIONS SSTATE_DIR"
fi
-export BB_ENV_EXTRAWHITE
+export BB_ENV_PASSTHROUGH_ADDITIONS
unset TEMPLATECONF
EOF
info "OK"
diff --git a/scripts/README-mkefi-agl.md b/scripts/README-mkefi-agl.md
deleted file mode 100644
index 2262fb129..000000000
--- a/scripts/README-mkefi-agl.md
+++ /dev/null
@@ -1,18 +0,0 @@
-# Introduction
-
-This script will install the AGL distribution on a removable device to boot on Intel UEFI-based computer.
-
-In particular it can create a USB or SD bootable support for [MinnowBoard](www.minnowboard.org).
-
-Usage: mkefi-agl.sh [-v] IDSK_IMAGE REMOVABLE_DEVICE
- -v: Verbose debug
- HDDIMG: The DISK_IMAGE file generated by Yocto the efi disk from
- Supported formats are .hddimg, .wic .wic.xz
- REMOVABLE_DEVICE: The block device to write the image to, e.g. /dev/sdh
-ex:
- mkefi-agl.sh agl-demo-platform-intel-corei7-64.hddimg /dev/sdd
- mkefi-agl.sh agl-demo-platform-intel-corei7-64.wic.xz /dev/sdd
-
-## Documentation
-
-[Additional documentation](https://wiki.automotivelinux.org/agl-distro/developer_resources_intel)
diff --git a/scripts/ci-yocto-check-layer.sh b/scripts/ci-yocto-check-layer.sh
new file mode 100755
index 000000000..c22114356
--- /dev/null
+++ b/scripts/ci-yocto-check-layer.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+set -e
+
+pushd .
+
+pushd meta-agl-core
+./scripts/run-yocto-check-layer.sh
+popd
+
+pushd meta-netboot
+./scripts/run-yocto-check-layer.sh
+popd
+
+pushd meta-pipewire
+./scripts/run-yocto-check-layer.sh
+popd
+
+pushd meta-app-framework
+./scripts/run-yocto-check-layer.sh
+popd
+
+popd \ No newline at end of file
diff --git a/scripts/envsetup.sh b/scripts/envsetup.sh
index 27b1de19a..f13256a8c 100644
--- a/scripts/envsetup.sh
+++ b/scripts/envsetup.sh
@@ -75,7 +75,7 @@ else
| To support the newest/upcoming features, please use the script aglsetup.sh. |
------------------------------------------------------------------------------
EOF
- . $SOURCEDIR/aglsetup.sh -m $1 -b $BUILD_DIR agl-devel agl-netboot agl-appfw-smack agl-demo
+ . $SOURCEDIR/aglsetup.sh -m $1 -b $BUILD_DIR agl-devel agl-netboot agl-demo
rc=$?
unset SOURCEDIR
unset BUILD_DIR